

#include <QtCore/QThread>
#include <QtCore/QtDebug>


class MyThread : public QThread {

public:
    void myUSleep(int microSeconds);

};

void MyThread::myUSleep(int microSeconds) {
    QThread::usleep(microSeconds);
};

MyThread* myThread = new MyThread();

extern "C" void qtUSleep(int microSeconds) {
    myThread->myUSleep(microSeconds);
};
